import { localize } from 'vscode/vscode/vs/nls';

const defaultTerminalHistoryCommandsToSkipShell = [
    "workbench.action.terminal.goToRecentDirectory" ,
    "workbench.action.terminal.runRecentCommand"
];
const terminalHistoryConfiguration = {
    ["terminal.integrated.shellIntegration.history" ]: {
        restricted: true,
        markdownDescription: ( localize(
            11780,
            "Controls the number of recently used commands to keep in the terminal command history. Set to 0 to disable terminal command history."
        )),
        type: 'number',
        default: 100
    },
};

export { defaultTerminalHistoryCommandsToSkipShell, terminalHistoryConfiguration };
