import { localize } from 'vscode/vscode/vs/nls';
import product$1 from 'vscode/vscode/vs/platform/product/common/product';

const terminalStickyScrollConfiguration = {
    ["terminal.integrated.stickyScroll.enabled" ]: {
        markdownDescription: ( localize(11781, "Shows the current command at the top of the terminal.")),
        type: 'boolean',
        default: product$1.quality !== 'stable'
    },
    ["terminal.integrated.stickyScroll.maxLineCount" ]: {
        markdownDescription: ( localize(
            11782,
            "Defines the maximum number of sticky lines to show. Sticky scroll lines will never exceed 40% of the viewport regardless of this setting."
        )),
        type: 'number',
        default: 5,
        minimum: 1,
        maximum: 10
    },
};

export { terminalStickyScrollConfiguration };
